## netscape4.base 4.77-1

=== libnsfix-wcsmbs/Makefile ===
CFLAGS= -fPIC -shared -Wl,-soname,libnsfix-wcsmbs.so
#CFLAGS= -fPIC -shared -Wl,-soname,libnsfix-wcsmbs.so,--version-script=Versions
#CFLAGS= -fPIC -shared

#CFLAGS+= -DBROKEN
#CFLAGS+= -DDEBUG

CFLAGS += -O2 -g -Wall

#SRC = mb_cur_max.c mbstowcs.c wcstombs.c mblen.c mbtowc.c wctomb.c
SRC = mb_cur_max.c

all: libnsfix-wcsmbs.so

libnsfix-wcsmbs.so:
	gcc $(CFLAGS) -o libnsfix-wcsmbs.so $(SRC)

clean:
	rm -f libnsfix-wcsmbs.so

.PHONY: all clean
