=== ns-bogus-locale/Makefile ===
# $Id: Makefile,v 1.1 1999/10/21 12:33:29 tshiozak Exp $

TARGET=ns_bogus_locale.so
# DEFS=-DUNDER_46
CFLAGS = -O2 -g -Wall

all:
	gcc $(CFLAGS) -fPIC -shared -o $(TARGET) $(DEFS) ns-bogus-locale.c ns-bogus-misc.c

clean:
	rm -f *.so

.PHONY: all clean

# end of file
