=== debian/changelog ===
netscape4.base (1:4.77-1) stable unstable; urgency=high

  * Required by security release package netscape4.77
  * remove build depends on libc5 stuff for non i386/m68k
  * Changes to debian/rules to allow building on non-i386
  * Add Linux Counter to default bookmarks (closes: #81615)
  * netscape-base-4 recommends mime-support (closes: #89164)
  * Update netscape-remote version number (closes: #79615)
  * Update package descriptions a little (closes: #79053)

 -- Ryan Murray <rmurray@debian.org>  Thu, 19 Apr 2001 00:43:00 -0700

netscape4.base (1:4.76-1) stable unstable; urgency=high

  * To Release Manager: Fixes many bugs, required by security fix in
                        netscape4.76-4.76.  Please install to stable as well.
  * Updated bookmarks (closes: #75574)
  * Fix libnsfix-wcsmbs for glibc 2.2 (closes: #74667)
  * Add quoting to wrapper (closes: #77203)
  * Don't prepend http:// for "" (closes: #71071, #74840, #71398, #70789)
  * Add a Google Button (closes: #71162)
  * Use ldd instead of objdump to get the libc version (closes: #69881)
  * Bring back the mime system, better this time :) (closes: #70966)
  * Add mime entries for netscape/communicator helper packages
    (closes: #62061)

 -- Ryan Murray <rmurray@debian.org>  Tue, 28 Nov 2000 01:47:45 -0800

netscape4.base (1:4.75-2) stable unstable; urgency=high

  * Make netscape3 settings only update if USE_NS3_SETTINGS is set to yes.
    (closes: #69927, #70664)
  * Add versioned depends to debianutils (closes: #70684)

 -- Ryan Murray <rmurray@debian.org>  Sat,  2 Sep 2000 13:56:48 -0700

netscape4.base (1:4.75-1) stable unstable; urgency=high

  * New maintainer.
  * Quiet error messages (closes: #66286, #66269, #66375, #66378, #66343,
    closes: #67167, #66721)
  * Fix typos (closes: #66954, #62886, #63214, #64429, #61438, #65711,
    closes: #66921, #66954)
  * Fix lockfile handling (closes: #67121)
  * Return return value of netscape (closes: #68039, #66091, #64390, #68359)
  * remove menufile (closes: #65307)
  * Private parameters to wrapper script must be at the start of the
    command line.  This allows spaces in further parameters.
    (closes: #55697, #57142, #56415, #65917)
  * Use /usr/bin/printf instead of possible builtin (closes: #61450)
  * Remove readlink, use the version in debianutils (which some calls were
    anyways)
  * Merged in changes based on the test NMU of netscape4.base (1:4.73-32.1.5)
    by Anthony Fok <foka@debian.org>:
     + Conglomerated Chinese, Japanese and Korean (CJK) support.
       - Merged: netscape-base-ja-4 by UNO Takeshi <uno@sysplan.co.jp>,
         and TARUISHI Masato <taru@debian.or.jp>.
       - Merged: netscape-base-ko-4 by KiHyeon Seo <nefsall@nef.sarang.net>.
     + Essentialy, it preloads libnsfix-wcsmbs.so and ns_bogus_locale.so
       for {ja,ko,zh} locales to correct problems with CJK multibyte
       characters entry in Netscape.
     + Testing and debugging by Fumitoshi UKAI <ukai@debian.or.jp>:
       - Fix bug that File Save As dialog always popup
         "Character 'x' is not supported by font"
       - Fix bug that File Download dialog sometimes popup
         "Character 'x' not supported by font"
       - fix <input type="text"> reset problem by ns-bogus-locale
       Many thanks, UKAI-san!  :-)
     + Updated links in Debian's default bookmarks.html.
     + Added Build-Depends: debhelper, altgcc, libc5-dev, libdl1-altdev.
     + Closing old bug reports (the one-char typo) fixed in 4.73-32.
       Closes: #66092, #66094, #66095, #66098, #66100, #66103, #66106;
       Closes: #66112, #66118, #66139, #66141.
  * Move mime-types to specific navigator/communicator packages.

 -- Ryan Murray <rmurray@debian.org>  Mon, 21 Aug 2000 23:39:25 -0700

netscape4.base (1:4.73-32) frozen unstable; urgency=high

  * Fix one-character typo in previous upload.

 -- Adam Heath <doogie@debian.org>  Thu, 22 Jun 2000 17:14:51 -0500

netscape4.base (1:4.73-31) frozen unstable; urgency=low

  * Added support for sources files in /usr/lib/netscape/base-4/wrapper.d/,
    /usr/lib/netscape/$VER/wrapper.d, and
    /usr/lib/netscape/$VER/$BIN/wrapper.d/.
  * Added Anthony Fok's wrapper fragment to support XFILESEARCHPATH.

 -- Adam Heath <doogie@debian.org>  Tue, 20 Jun 2000 18:54:54 -0500

netscape4.base (1:4.73-30) frozen unstable; urgency=low

  * Changed the meta pkgs' depend to the 4.73 versions.

 -- Adam Heath <doogie@debian.org>  Tue, 30 May 2000 04:11:02 -0500

netscape4.base (1:4.72-29) frozen unstable; urgency=low

  * Removed powerpc from netscape-base-4-libc5's arch line.
  * Changed communicator meta pkg to depend on 4.7 for powerpc.
  * Netscape meta pkg lists communicator first for its virtual
    dependency.
  * Added powerpc to debian/archmap.

 -- Adam Heath <doogie@debian.org>  Mon, 10 Apr 2000 06:41:00 -0500

netscape4.base (1:4.72-28) frozen unstable; urgency=low

  * Added a netscape-base-4-libc5, so netscape systems can be libc5
    if so desired.  Closes: #60106.
  * Changed meta pkgs to depend on 4.72 versions of netscape.
    Closes: #60172.
  * Quote arguments passed to tr.  Closes: #57404.
  * Suggests communicator instead of 4.5 version.  Closes: #56458.
  * Add new features to the wrapper, by looking at the one included
    with the netscape installers:
    * Improve the locale detection
    * Remove preferences.js, so it can be regenerated automatically
      by netscape from preferences.  Fixes some random netscape
      type bugs.

 -- Adam Heath <doogie@debian.org>  Sun, 26 Mar 2000 07:38:26 -0600

netscape4.base (1:4.70-27) frozen unstable; urgency=low

  * Conflicts with libc6 (<< 2.1.2-12), so that I can force libc6 to
    be upgraded, so that I can guarantee that the binary 'locale' is
    installed.  Closes: #56437, #56015.

 -- Adam Heath <doogie@debian.org>  Fri, 28 Jan 2000 05:50:29 -0600

netscape4.base (1:4.70-26) frozen unstable; urgency=low

  * Removed depends on libc6-bin, as that has been merged back into
    libc6 and locales.


