=== debian/control ===
Source: netscape4.base
Section: contrib/web
Priority: optional
Maintainer: Ryan Murray <rmurray@debian.org>
Build-Depends: debhelper, xlib6g-dev, altgcc, libc5-dev, libdl1-altdev
Standards-Version: 3.1.1

Package: netscape-base-4
Architecture: i386 powerpc
Suggests: plugger, communicator
Replaces: netscape-base-ja-4, netscape-base-ko-4
Conflicts: netscape4, netscape3, libc6 (<< 2.1.2-12), netscape-base-ja-4, netscape-base-ko-4
Provides: netscape4, netscape-base-ja-4, netscape-base-ko-4
Depends: ${shlibs:Depends}
Description: Popular World-Wide-Web browser software (base support)
 Netscape (pronounced "Mozilla") is a graphical World-Wide-Web browser
 with many features.  It supports advanced features of HTML and new
 technologies such as "Java" from Sun Microsystems.
 .
 You will need the "ImageMagick" package installed if you wish to
 get in-line support of image types not directly supported by netscape.
 .
 This package provides support routines for all netscape version 4.x
 packages.

Package: netscape
Architecture: i386 powerpc
Depends: communicator | navigator
Conflicts: ${netscape:Conflicts}
XB-Meta-Package: yes
Description: Meta package that depends on other packages
 This package depends on the real netscape packages, so as to
 make things easier for people to install.

Package: navigator
Architecture: i386
Conflicts: ${netscape:Conflicts}
Depends: ${navigator:Depends}
XB-Meta-Package: yes
Description: Meta package that depends on other packages
 This package depends on the real netscape packages, so as to
 make things easier for people to install.

Package: communicator
Architecture: i386 powerpc
Conflicts: ${netscape:Conflicts}
Depends: ${communicator:Depends}
XB-Meta-Package: yes
Description: Meta package that depends on other packages
 This package depends on the real netscape packages, so as to
 make things easier for people to install.

Package: netscape-base-4-libc5
Architecture: i386 sparc
Depends: ${shlibs:Depends}, netscape-base-4
Conflicts: netscape-base-4 (<< 1:4.70-27)
Description: Popular World-Wide-Web browser software (base support)
 Netscape (pronounced "Mozilla") is a graphical World-Wide-Web browser
 with many features.  It supports advanced features of HTML and new
 technologies such as "Java" from Sun Microsystems.
 .
 You will need the "ImageMagick" package installed if you wish to
 get in-line support of image types not directly supported by netscape.
 .
 This package provides support routines for all netscape version 4.x
  packages.
 .
 About the netscape4.  I plan on making a 'converter' package, that  can
 take an installed version of netscape, and convert it to a set of debs,
 which can then be installed, and will have the same filesystem layout
 as the normal debs.
