## netscape4.base 4.77-2

=== debian/changelog ===
netscape4.base (1:4.77-2) unstable; urgency=high

  * Remove sparc from libc5 architectures -- sparc doesn't have libc5 anymore.
    (this also removes this package entirely from sparc...)

 -- Ryan Murray <rmurray@debian.org>  Wed,  2 May 2001 11:03:27 -0700
