## netscape4.base 5

=== debian/control ===
Source: netscape4.base
Section: contrib/web
Priority: optional
Maintainer: Adam Heath <adam.heath@usa.net>
Standards-Version: 2.4.0.0

Package: netscape-base-4
Architecture: i386 powerpc
Depends: dpkg-awk
Suggests: plugger, browser-407
Conflicts: netscape4, netscape3
Provides: netscape4
Description: Popular World-Wide-Web browser software (base support)
 Netscape (pronounced "Mozilla") is a graphical World-Wide-Web browser
 with many features.  It supports advanced features of HTML and new
 technologies such as "Java" from Sun Microsystems.
 .
 You will need the "ImageMagick" package installed if you wish to
 get in-line support of image types not directly supported by netscape.
 .
 This package provides support routines for all netscape version 4.x
  packages.
 .
 About the netscape4.  I plan on making a 'converter' package, that  can
 take an installed version of netscape, and convert it to a set of debs,
 which can then be installed, and will have the same filesystem layout
 as the normal debs.
