=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEBVER:= $(shell dpkg-parsechangelog 2>&1|egrep ^Version|cut -d " " -f 2|cut -d "-" -f 2)
SRCVER:= $(shell dpkg-parsechangelog 2>&1|egrep ^Version|cut -d " " -f 2|cut -d "-" -f 1)


ARCH:=$(shell dpkg --print-installation-architecture)

#$(shell rm -f do-bo-build)

chmod:

build: build-indep build-arch

build-indep:

build-arch:
	-cc -o netscape-remote -O2 -DSTANDALONE -L/usr/X11R6/lib -lXmu -lX11 remote.c

install: install-indep install-arch

install-indep: chmod build-indep

install-arch: chmod build-arch
	dh_clean -k -a
	dh_installdirs -a
	install -m 755 netscape-remote\
		wrapper check_rvpl register_netscape\
		debian/tmp/usr/lib/netscape/base-4
	install -m 644 environment config debian/tmp/etc/netscape4
	install -m 600 defaults/* debian/tmp/etc/netscape4/defaults
	ln -s ../../lib/netscape/base-4/netscape-remote debian/tmp/usr/X11R6/bin/netscape-remote

clean:
	dh_testdir
	dh_clean
	rm -f netscape-remote log

binary-indep: install-indep
 #	dh_testdir -i
 #	dh_testroot -i
#	dh_movefiles -i
#	dh_installdocs -i
 #	dh_installmenu -i
 #	dh_installmanpages -i
#	dh_installchangelogs -i
#	dh_strip -i
#	dh_makeshlibs -i
 #	dh_compress -i
 #	dh_fixperms -i
#	dh_suidregister -i
 #	dh_installdeb -i
 #	dh_gencontrol -i
 #	dh_md5sums -i
#	dh_dirsizes -i
 #	dh_builddeb -i

binary-arch: install-arch
	dh_testdir -a
	dh_testroot -a
#	dh_movefiles -a
	dh_installdocs -a CONFIG ENVIRONMENT PLUGINS README TODO
	dh_installmenu -a
	dh_installmanpages -a
	dh_installchangelogs -a
	dh_strip -a
#	dh_makeshlibs -a
	dh_compress -a
	dh_fixperms -a
#	dh_suidregister -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
#	dh_dirsizes -a
	dh_builddeb -a

# Below here is fairly generic really

binary:         binary-indep binary-arch


.PHONY: binary binary-arch binary-indep clean install install-arch install-indep
